
#include "GPL951_Body.h"
#include "USB\SPIF_ISO_Def.h"

/*************************************************************************
* function:		GPL951 SPIF Read
*
*
*
*************************************************************************/
void DMA256Word(unsigned long  wReadLBA, unsigned int  wLen, unsigned long  DataBufAddr)
{
	unsigned int timeout;
	*P_DMA_Ctrl0=0x0200;	//reset DMA
	*P_DMA_SRC_AddrH0  = wReadLBA >> 16 ;     
	*P_DMA_SRC_AddrH0 |= 0x2000;               // burst read enable 
	*P_DMA_SRC_AddrL0  = wReadLBA &0xffff ;  

	*P_DMA_TAR_AddrH0  = DataBufAddr >> 16 ;    
	*P_DMA_TAR_AddrL0  = DataBufAddr &0xffff ; 

	*P_DMA_TCountL0 = 256;
	*P_DMA_TCountH0 = 0  ; 
	*P_DMA_Ctrl0 = 0x0001;
	
	timeout =0xFFFF;
	while( ((*P_DMA_Ctrl0)&0x0002)==0x0002)      //bit1:1 busy ; 0 ready
	{
		timeout-=1;							
		if (timeout ==0)	
			break;
	}
}	


int _CDROM_ReadSector(unsigned long  LABAddr, unsigned int blkcnt, unsigned long StoreAddr)
{
	DMA256Word((LABAddr<<8)+SPIF_ISO_Offset,blkcnt,StoreAddr);
	return 0;
}
